package org.springblade.config.properties;

import lombok.Data;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.context.annotation.Configuration;

import java.util.ArrayList;
import java.util.List;

/**
 * 数据源相关配置属性
 */
@Data
@Configuration
@ConfigurationProperties(prefix = "blade.ds")
public class DatasourceProperties {

    /**
     * 删除过期的数据源连接，单位：小时
     */
    private int dsIdleTime = 6;

    /**
     * 哪些数字类型的表字段数据类型，不能转换为指标
     */
    private List<String> numberColumnTypeList = new ArrayList<>();

}
