package org.springblade.constant;

/**
 * 缓存常量类
 */
public interface CacheConstants {

    //数据源根据poolName缓存
    String DS_POOL_NAME_CAHCE_KEY_PREFIX = "bi:ds:poolName:";
    long DS_POOL_NAME_CAHCE_TIMEOUT_SEC = 120 * 60L;

    //数据源根据ID缓存
    String DS_ID_CAHCE_KEY_PREFIX = "bi:ds:id:";
    long DS_ID_CAHCE_TIMEOUT_SEC = 120 * 60L;

    //组件预览数据缓存
    String COMP_PREVIEW_CACHE_KEY_PREFIX_FORMAT = "bi:%s:%s";
    long COMP_PREVIEW_CACHE_TIMEOUT_SEC = 20 * 60;

    //组件使用统计缓存
    String COMP_STAT_LINECHART_CACHE_KEY_PREFIX = "bi:comp:linechart:";
    String COMP_STAT_TEMPLATE_LINECHART_CACHE_KEY_PREFIX = "bi:comp:templinechart:";
    String COMP_STAT_TOPN_CACHE_KEY_PREFIX = "bi:comp:topn:";
    long COMP_STAT_CACHE_TIMEOUT_SEC = 10 * 60;

    //大屏模版使用统计缓存
    String VISUAL_TEMPLATE_STAT_LINECHART_CACHE_KEY_PREFIX = "bi:visualtemplate:linechart:";
    String VISUAL_TEMPLATE_STAT_TOPN_CACHE_KEY_PREFIX = "bi:visualtemplate:topn:";
    long VISUAL_TEMPLATE_STAT_CACHE_TIMEOUT_SEC = 10 * 60;

    //订阅统计缓存
    String SUB_AGG_CACHE_KEY_PREFIX = "bi:sub:agg:";
    long SUB_AGG_CACHE_TIMEOUT_SEC= 30 * 60;

    //大屏详情缓存
    String VISUAL_DATA_CACHE_KEY_PREFIX = "bi:visualdata:info:";
    long VISUAL_DATA_CACHE_TIMEOUT_SEC= 2 * 60 * 60;

    //大屏的组件列表
    String COMP_LIST_BY_VISUALID_CACHE_KEY_PREFIX = "bi:comp:list:";
    long COMP_LIST_BY_VISUALID_CACHE_TIMEOUT_SEC= 2 * 60 * 60;

    //数据源自定义函数
    String DATASOURCE_FUNCTION_CACHE_KEY_PREFIX = "bi:ds:customlist:";
    long DATASOURCE_FUNCTION_CACHE_TIMEOUT_SEC= 2 * 60 * 60;
}
