/**
 * 
 */
package org.springblade.cube.mapper;

import com.baomidou.mybatisplus.annotation.InterceptorIgnore;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;
import org.springblade.cube.model.CubeTableColumn;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;

import java.util.List;

/**
 * @author wookvn
 *
 */
public interface CubeTableColumnMapper extends BaseMapper<CubeTableColumn> {

    @Select("select * from cube_table_column where tenant_id = #{tenantId}")
    @InterceptorIgnore(tenantLine = "true")
    List<CubeTableColumn> getList(String tenantId);
    
    @Select("select * from cube_table_column where cube_data_id = #{value}")
    @InterceptorIgnore(tenantLine = "true")
    List<CubeTableColumn> listByCubeId(Long cubeId);

    @Select({"<script>",
            "select * from cube_table_column where cube_data_id in",
            "<foreach collection='list' item='value' open='(' separator=',' close=')'>",
            "#{value}",
            "</foreach>",
            "</script>"})
    @InterceptorIgnore(tenantLine = "true")
    List<CubeTableColumn> listByCubeIds(@Param("list") List<Long> cubeIds);
}
