package org.springblade.cube.schedule;

import cn.hutool.core.date.DateUtil;
import org.springblade.config.properties.DatasourceProperties;
import org.springblade.cube.mapper.BiEventMapper;
import org.springblade.datasource.support.DynamicDataSourceSupport;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.scheduling.annotation.Scheduled;
import org.springframework.stereotype.Component;

import java.util.Date;
import java.util.List;
import java.util.concurrent.TimeUnit;

/**
 * 删除过期ds任务
 */
@Component
public class DelDsSchedule {

    @Autowired
    private DatasourceProperties datasourceProperties;

    @Autowired
    private BiEventMapper biEventMapper;

    @Autowired
    private DynamicDataSourceSupport dynamicDataSourceSupport;

    @Scheduled(initialDelayString = "${platomix.ds.dsIdleTime:6}", fixedDelayString = "${platomix.ds.dsIdleTime:6}", timeUnit = TimeUnit.HOURS)
    public void delDsSchedule() {
        long time = DateUtil.offsetHour(new Date(), - datasourceProperties.getDsIdleTime()).getTime();
        long time2 = DateUtil.offsetHour(new Date(), -2 * datasourceProperties.getDsIdleTime()).getTime();
        List<String> strings = biEventMapper.listLongTimeNoUseDs(time,time2);
        for (String string : strings) {
            try {
                dynamicDataSourceSupport.removeDs(string);
            } catch (Exception e) {
                e.printStackTrace();
            }
        }
    }

}
