/*
 *      Copyright (c) 2018-2028, Chill Zhuang All rights reserved.
 *
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions are met:
 *
 *  Redistributions of source code must retain the above copyright notice,
 *  this list of conditions and the following disclaimer.
 *  Redistributions in binary form must reproduce the above copyright
 *  notice, this list of conditions and the following disclaimer in the
 *  documentation and/or other materials provided with the distribution.
 *  Neither the name of the dreamlu.net developer nor the names of its
 *  contributors may be used to endorse or promote products derived from
 *  this software without specific prior written permission.
 *  Author: Chill 庄骞 (smallchill@163.com)
 */
package org.springblade.report.controller;

import com.github.xiaoymin.knife4j.annotations.ApiOperationSupport;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.AllArgsConstructor;
import lombok.extern.slf4j.Slf4j;
import org.springblade.core.boot.ctrl.BladeController;
import org.springblade.core.tool.api.R;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * 产品报表接口 控制器
 *
 * @author BladeX
 * @since 2021-03-10
 */
@Slf4j
@RestController
@AllArgsConstructor
@RequestMapping("report/reportApi")
@Api(value = "产品报表接口", tags = "报表型接口 ReportApiController")
public class ReportApiController extends BladeController {

	/**
	 * 获取报表视图
	 */
	@PostMapping("/getReportData")
	@ApiOperationSupport(order = 2)
	@ApiOperation(value = "获取报表数据", notes = "")
	public R getReportData() {
		return R.data(null);
	}

	@PostMapping("/{apiKey}")
	@ApiOperation(value = "执行报表类接口", notes = "传入apiKey")
	public R executeReportApi(@PathVariable("apiKey") String apiKey) {
		return R.data(null);
	}

}
