package org.springblade.visual.controller;

import cn.hutool.core.date.DateUtil;
import cn.hutool.core.date.LocalDateTimeUtil;
import com.baomidou.mybatisplus.extension.conditions.query.LambdaQueryChainWrapper;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springblade.core.mp.base.TenantEntity;
import org.springblade.core.tool.api.R;
import org.springblade.core.tool.utils.Base62Util;
import org.springblade.visual.dto.MobileStatisticsQueryByIdParams;
import org.springblade.visual.dto.MobileStatisticsQueryParams;
import org.springblade.visual.dto.MobileStatisticsReturnVO;
import org.springblade.visual.entity.VisualData;
import org.springblade.visual.entity.VisualDataShare;
import org.springblade.visual.entity.VisualDataTemplate;
import org.springblade.visual.enums.MobileStatisticsSourceEnum;
import org.springblade.visual.enums.VisualTypeEnum;
import org.springblade.visual.service.MobileStatisticsService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.*;
import java.util.function.Function;
import java.util.stream.Collectors;

/**
 * 移动端统计接口-研祥
 * @author xipengqiang
 */
@RestController
@RequestMapping("mobileStatistics")
@Api(tags = "移动端统计接口-研祥")
public class MobileStatisticsController {

    @Autowired
    private MobileStatisticsService mobileStatisticsService;

    /**
     * 模板库数据
     */
    @PostMapping("/template")
    @ApiOperation("模板库数据")
    public R<List<MobileStatisticsReturnVO>> template(@RequestBody MobileStatisticsQueryParams params) {
        return R.data(mobileStatisticsService.template(params));
    }

    /**
     * 大屏数据
     */
    @PostMapping("/visual")
    @ApiOperation("大屏数据")
    public R<List<MobileStatisticsReturnVO>> visual(@RequestBody MobileStatisticsQueryParams params) {
        return R.data(mobileStatisticsService.visual(params));
    }

    /**
     * 通过应用id查询
     */
    @PostMapping("/queryByAppId")
    @ApiOperation("通过应用id查询")
    public R<List<MobileStatisticsReturnVO>> queryByAppId(@RequestBody MobileStatisticsQueryByIdParams params){
        return R.data(mobileStatisticsService.queryByAppId(params));
    }

}
