package org.springblade.visual.entity;

import com.baomidou.mybatisplus.annotation.*;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.time.LocalDateTime;
import java.util.List;

/**
 * 自定义组件表 visual_component_define
 * 
 * @author xipengqiang
 * @date 2024-04-03
 */
@Data
@TableName("mcp_visual_component_sys")
@ApiModel(value = "McpVisualComponentSys对象", description = "MCP系统组件")
@Accessors(chain = true)
public class McpVisualComponentSys implements Serializable{

	private static final long serialVersionUID = 1L;
	
 	/** 
	 *  
	 */
	@TableId
	private Long id;
	/**
	 * 组件code
	 */
	@ApiModelProperty(value = "组件code")
	@TableField(condition = SqlCondition.LIKE)
	private String componentCode;
	/**
	 * 组件名称 
	 */
	@ApiModelProperty(value = "组件名称")
	@TableField(condition = SqlCondition.LIKE)
	private String componentName;
	/**
	 * 组件图标 
	 */
	@ApiModelProperty(value = "组件图标")
	private String imageUrl;
	/**
	 * 组件描述 
	 */
	@ApiModelProperty(value = "组件描述")
	private String description;
	/**
	 * 组件版本号 
	 */
	@ApiModelProperty(value = "组件版本号")
	private String componentVersion;
	/**
	 */
	@ApiModelProperty(value = "启用/禁用(0禁用 1启用)")
	private Integer status;
	/**
	 * 创建时间 
	 */
	@ApiModelProperty(value = "创建时间")
	private LocalDateTime createTime;
	/**
	 * 创建人 
	 */
	@ApiModelProperty(value = "创建人")
	private Long createUserId;
	/**
	 * 创建时间 
	 */
	@ApiModelProperty(value = "更新时间")
	private LocalDateTime updateTime;
	/**
	 * 创建时间 
	 */
	@ApiModelProperty(value = "更新人")
	private String updateBy;

	@ApiModelProperty(value = "修改目录时传")
	@TableField(exist = false)
	private List<Long> categoryIds;

}
