package org.springblade.visual.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;

import java.time.LocalDateTime;

@Data
@AllArgsConstructor
@NoArgsConstructor
@Accessors(chain = true)
public class VisualDataShare {

    @TableId
    @ApiModelProperty("主键")
    private Long id;

    @ApiModelProperty("0可视化大屏，1自助报表")
    private Integer type;

    @ApiModelProperty("关联id")
    private Long relationId;

    @ApiModelProperty("关联数据名字")
    private String relationName;

    @ApiModelProperty("被分享人")
    private Long sharedUser;

    @ApiModelProperty("被分享人名字")
    private String sharedUserName;

    @ApiModelProperty("被分享人租户id")
    private String sharedUserTenant;

    @ApiModelProperty("创建人")
    private Long createUser;

    @ApiModelProperty("创建人名字")
    private String createUserName;

    @ApiModelProperty("创建时间")
    private LocalDateTime createTime;

    @ApiModelProperty("修改人")
    private Long updateUser;

    @ApiModelProperty("修改时间")
    private LocalDateTime updateTime;

    @ApiModelProperty("是否已删除")
    private Integer isDeleted;

    @TableField(exist = false)
    private VisualData visualData;
    @TableField(exist = false)
    @ApiModelProperty("访问量")
    private Integer visits;
}
