package org.springblade.visual.mapper;

import com.alibaba.fastjson2.JSONObject;
import com.baomidou.mybatisplus.annotation.InterceptorIgnore;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Delete;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;
import org.springblade.visual.entity.VisualSelfReportPermission;

import java.util.List;

@InterceptorIgnore(tenantLine = "true")
public interface VisualSelfReportPermissionMapper extends BaseMapper<VisualSelfReportPermission> {

    @Select("<script>"+
            "select distinct a.self_report_id from visual_self_report_permission a "+
            "inner join visual_data b on a.self_report_id = b.id "+
            "where a.data_perm_id = #{dataPermId} "+
            "<if test='reportCategoryId != null'> AND b.category = #{reportCategoryId} </if>"+
            "</script>"
    )
    List<Long> selectVisualIdList(@Param("dataPermId") Long dataPermId, @Param("reportCategoryId") Long reportCategoryId);

    @Delete({
            "delete a from visual_self_report_permission a",
            "inner join visual_data b on a.self_report_id = b.id",
            "where b.category = #{reportCategoryId} and a.data_perm_id = #{dataPermId}"
    })
    void deleteByClassifyIdAndPermId(@Param("reportCategoryId") Long reportCategoryId, @Param("dataPermId") Long dataPermId);

    @Select({
            "select count(a.id) from visual_self_report_permission a",
            "inner join data_permission_user b on a.data_perm_id = b.data_perm_id",
            "where b.user_id = #{userId} and a.self_report_id = #{selfReportId}"
    })
    int checkVisualForUser(@Param("selfReportId") Long selfReportId, @Param("userId") Long userId);

    @Select({
            "select b.id as permId, b.perm_name as permName",
            "from visual_self_report_permission a inner join data_permission b on a.data_perm_id = b.id",
            "where a.self_report_id = #{selfReportId}"
    })
    List<JSONObject> selectDataPermList(@Param("selfReportId") Long selfReportId);
}
