package org.springblade.visual.service;

import cn.hutool.core.collection.CollectionUtil;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springblade.system.client.UserClient;
import org.springblade.system.client.model.UserModel;
import org.springblade.visual.entity.VisualReviewLog;
import org.springblade.visual.mapper.VisualReviewLogMapper;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.Map;
import java.util.stream.Collectors;

@Service
public class VisualReviewLogService extends ServiceImpl<VisualReviewLogMapper, VisualReviewLog> {


    public List<VisualReviewLog> list(Integer relationId, int type) {
        List<VisualReviewLog> list = this.lambdaQuery()
                .eq(VisualReviewLog::getRelationId, relationId)
                .eq(VisualReviewLog::getType, type)
                .list();
        return list;
    }

    public VisualReviewLog getLatest(Integer relationId, int type) {
        return this.lambdaQuery()
                .eq(VisualReviewLog::getRelationId, relationId)
                .eq(VisualReviewLog::getType, type)
                .orderByDesc(VisualReviewLog::getCreateTime)
                .last(" limit 1")
                .one();
    }

}
