package org.springblade.bi.client;

import org.springblade.bi.client.factory.TenantInitClientFallbackFactory;
import org.springblade.bi.client.factory.VisualDataClientFallbackFactory;
import org.springblade.bi.client.model.VisualDataModel;
import org.springblade.common.openfeign.OpenFeignConstants;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.GetMapping;

import java.util.List;

@FeignClient(contextId = "tenantInitClient",
        value = OpenFeignConstants.BI_SERVICE,
        fallbackFactory = TenantInitClientFallbackFactory.class)
public interface TenantInitClient {

    @GetMapping(OpenFeignConstants.BI_SERVICE + "/tenantInit")
    void tenantInit();
}