package org.springblade.bi.client.factory;

import lombok.extern.slf4j.Slf4j;
import org.springblade.bi.client.VisualClassifyClient;
import org.springblade.bi.client.VisualDataClient;
import org.springframework.cloud.openfeign.FallbackFactory;
import org.springframework.stereotype.Component;

@Slf4j
@Component
public class VisualDataClientFallbackFactory implements FallbackFactory<VisualDataClient> {

    @Override
    public VisualDataClient create(Throwable cause) {
        log.error("VisualClassifyClient invoke fallback:{}", cause.getMessage());
        return model -> null;
    }
}
